//+------------------------------------------------------------------+
 //|                                                                  |
 //|                                                                  |
 //|                                      www.arabictrader.com/vb     |
 //|                                                                  |
 //|                                          mrdollar.cs@gmail.com   |
 //+------------------------------------------------------------------+

#property copyright "MR.dollar"
#property link      "mrdollar.cs@gmail.com"

#property indicator_chart_window
#property indicator_buffers 0


extern int MA_Period=14;
extern int MA_Type=0;
extern int AppliedPrice=0;
extern int CandleCheck=0;
extern int TimeFrame0=1440;
extern int TimeFrame1=240;
extern int TimeFrame2=60;
extern int TimeFrame3=30;
extern int TimeFrame4=15;
extern int TimeFrame5=5;
extern int TimeFrame6=1;
extern bool EURUSD=true;
extern bool GBPUSD=true;
extern bool USDCHF=true;
extern bool USDCAD=true;
extern bool USDJPY=true;
extern bool AUDUSD=true;
extern bool GBPJPY=true;
extern bool EURJPY=true;
extern bool GBPAUD=true;
extern bool EURNZD=true;
extern bool EURAUD=true;
extern bool GBPCHF=true;
extern bool EURCAD=true;
extern color UpColor=Lime;
extern color DnColor=Red;
datetime Time0[12];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int GetTimeFrame(int i)
{
 switch(i)
 {
  case 0:return(TimeFrame0);
  case 1:return(TimeFrame1);
  case 2:return(TimeFrame2);
  case 3:return(TimeFrame3);
  case 4:return(TimeFrame4);
  case 5:return(TimeFrame5);
  case 6:return(TimeFrame6);
 }
}
int init()
  {
//---- indicators
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
 for(int i=ObjectsTotal()-1;i>=0;i--)
 {
  if(StringSubstr(ObjectName(i),0,7)=="MaBoard")
  {
   ObjectDelete(ObjectName(i));
  }
 }

Comment("");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start() 
 {
   string shortcode=StringSubstr(Symbol(),6,0);
   
   string CurrencyName[13];
   if(EURUSD)CurrencyName[0]="EURUSD"+shortcode;
   if(GBPUSD)CurrencyName[1]="GBPUSD"+shortcode;
   if(USDCHF)CurrencyName[2]="USDCHF"+shortcode;
   if(USDCAD)CurrencyName[3]="USDCAD"+shortcode;
   if(USDJPY)CurrencyName[4]="USDJPY"+shortcode;
   if(AUDUSD)CurrencyName[5]="AUDUSD"+shortcode;
   if(GBPJPY)CurrencyName[6]="GBPJPY"+shortcode;
   if(EURJPY)CurrencyName[7]="EURJPY"+shortcode;
   if(GBPAUD)CurrencyName[8]="GBPAUD"+shortcode;
   if(EURNZD)CurrencyName[9]="EURNZD"+shortcode;
   if(EURAUD)CurrencyName[10]="EURAUD"+shortcode;
   if(GBPCHF)CurrencyName[11]="GBPCHF"+shortcode;
   if(EURCAD)CurrencyName[12]="EURCAD"+shortcode;
   
   color Color_;
   int YDistance,XDistance;
   for(int i=0;i<12;i++)
   {
    string sym=CurrencyName[i];
    
    if(iBars(sym,0)==0)continue;
    int LastSignal=0;
    bool AlertSignal=true;
    XDistance=0;
    CreateLabel("MaBoard Symb"+i,5,(158+YDistance),sym,White,8,"Arial Bold",0);
    
    for(int j=0;j<=6;j++)
    {
     
     int TF=GetTimeFrame(j);
     
     if(TF==-1)continue;
     
     
     double ma=iMA(sym,TF,MA_Period,0,MA_Type,AppliedPrice,CandleCheck);
    
     if(iClose(sym,TF,CandleCheck)>=ma){Color_=UpColor;}
     else {Color_=DnColor;}
     if((Color_==DnColor&&LastSignal==1)||(Color_==UpColor&&LastSignal==-1))AlertSignal=false;
     if(i==0)CreateLabel("MaBoard TF"+j,(55+XDistance),145,GetTimeFrameText(TF),White,8,"Arial Bold",0);   
     CreateLabel("MaBoard"+i+j,(50+XDistance),(120+YDistance),"-",Color_,50,"Arial Bold",0);
     if(Color_==UpColor){LastSignal=1;}
     else {LastSignal=-1;}
     XDistance+=30;
    }
    
     if(AlertSignal&&Time0[i]!=Time[0])
     {
      if(LastSignal==1)Alert(sym+" UP Trend Signal");
      if(LastSignal==-1)Alert(sym+" Down Trend Signal");
      Time0[i]=Time[0];
     }
    YDistance+=20;
   }
  
    return(0);
 }


string GetTimeFrameText(int N)
{
 switch(N)
 {
  case 1:return("M1");
  case 5:return("M5");
  case 15:return("M15");
  case 30:return("M30");
  case 60:return("H1");
  case 240:return("H4");
  case 1440:return("D1");
  case 10080:return("W1");
  case 43200:return("MN1");
 }
}

void CreateLabel(string name,datetime X,double Y,string text,color Color,int size,string font,int angle)
  {
   if(ObjectFind(name)==-1){
    ObjectCreate(name,OBJ_LABEL,0,0,0);
    ObjectSet(name,OBJPROP_XDISTANCE,X);
    ObjectSet(name,OBJPROP_YDISTANCE,Y);
    ObjectSet(name,OBJPROP_ANGLE,angle);
    ObjectSetText(name,text,size,font,Color);
   }
   else if(ObjectGet(name,OBJPROP_COLOR)!=Color){
    ObjectDelete(name);
   CreateLabel(name,X,Y,text,Color,size,font,angle);
  }
 }
 
 
 
 